import request from '@/utils/request'

// 查询购物车列表
export function listShop(query) {
  return request({
    url: '/shopCart/shop/list',
    method: 'get',
    params: query
  })
}


export function testShop(query) {
  return request({
    url: '/shopCart/shop/shopList',
    method: 'get',
    params: query
  })
}

// 查询购物车详细
export function getShop(id) {
  return request({
    url: '/shopCart/shop/' + id,
    method: 'get'
  })
}

// 新增购物车
export function addShop(data) {
  return request({
    url: '/shopCart/shop',
    method: 'post',
    data: data
  })
}

// 修改购物车
export function updateShop(data) {
  return request({
    url: '/shopCart/shop/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除购物车
export function delShop(id) {
  return request({
    url: '/shopCart/shop/' + id,
    method: 'delete'
  })
}

export function checkState(state) {
  return request({
    url: '/shopCart/shop/checkState',
    method: 'post',
    data:state
  })
}
export function updSelected(state) {
  return request({
    url: '/shopCart/shop/updSelected',
    method: 'post',
    data:state
  })
}

export function editShopNum(state) {
  return request({
    url: '/shopCart/shop/editShopNum',
    method: 'post',
    data:state
  })
}
export function delShoppingMethod(state) {
  return request({
    url: '/shopCart/shop/delShop',
    method: 'post',
    data:state
  })
}
export function shopDetail() {
  return request({
    url: '/shopCart/shop/detail',
    method: 'get'
  })
}
