import request from '@/utils/request'

// 查询评论点赞列表
export function listCommentLike(query) {
  return request({
    url: '/product/commentLike/list',
    method: 'get',
    params: query
  })
}

// 查询评论点赞详细
export function getCommentLike(id) {
  return request({
    url: '/product/commentLike/' + id,
    method: 'get'
  })
}

// 新增评论点赞
export function addCommentLike(data) {
  return request({
    url: '/product/commentLike',
    method: 'post',
    data: data
  })
}

// 修改评论点赞
export function updateCommentLike(data) {
  return request({
    url: '/product/commentLike/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除评论点赞
export function delCommentLike(id) {
  return request({
    url: '/product/commentLike/' + id,
    method: 'delete'
  })
}
